Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLAED1

    java.lang.Object
      org.netlib.lapack.SLAED1

    public class SLAED1

extends java.lang.Object

    SLAED1 is a simplified interface to the JLAPACK routine slaed1.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAED1 computes the updated eigensystem of a diagonal
     *  matrix after modification by a rank-one symmetric matrix.  This
     *  routine is used only for the eigenproblem which requires all
     *  eigenvalues and eigenvectors of a tridiagonal matrix.  SLAED7 handles
     *  the case in which eigenvalues only or eigenvalues and eigenvectors
     *  of a full symmetric matrix (which was reduced to tridiagonal form)
     *  are desired.
     *
     *    T = Q(in) ( D(in) + RHO * Z*Z' ) Q'(in) = Q(out) * D(out) * Q'(out)
     *
     *     where Z = Q'u, u is a vector of length N with ones in the
     *     CUTPNT and CUTPNT + 1 th elements and zeros elsewhere.
     *
     *     The eigenvectors of the original matrix are stored in Q, and the
     *     eigenvalues are in D.  The algorithm consists of three stages:
     *
     *        The first stage consists of deflating the size of the problem
     *        when there are multiple eigenvalues or if there is a zero in
     *        the Z vector.  For each such occurence the dimension of the
     *        secular equation problem is reduced by one.  This stage is
     *        performed by the routine SLAED2.
     *
     *        The second stage consists of calculating the updated
     *        eigenvalues. This is done by finding the roots of the secular
     *        equation via the routine SLAED4 (as called by SLAED3).
     *        This routine also calculates the eigenvectors of the current
     *        problem.
     *
     *        The final stage consists of computing the updated eigenvectors

     *        directly using the updated eigenvalues.  The eigenvectors for
     *        the current problem are multiplied with the eigenvectors from
     *        the overall problem.
     *
     *  Arguments
     *  =========
     *
     *  N      (input) INTEGER
     *         The dimension of the symmetric tridiagonal matrix.  N >= 0.
     *
     *  D      (input/output) REAL array, dimension (N)
     *         On entry, the eigenvalues of the rank-1-perturbed matrix.
     *         On exit, the eigenvalues of the repaired matrix.
     *
     *  Q      (input/output) REAL array, dimension (LDQ,N)
     *         On entry, the eigenvectors of the rank-1-perturbed matrix.
     *         On exit, the eigenvectors of the repaired tridiagonal matrix.

     *
     *  LDQ    (input) INTEGER
     *         The leading dimension of the array Q.  LDQ >= max(1,N).
     *
     *  INDXQ  (input/output) INTEGER array, dimension (N)
     *         On entry, the permutation which separately sorts the two
     *         subproblems in D into ascending order.
     *         On exit, the permutation which will reintegrate the
     *         subproblems back into sorted order,
     *         i.e. D( INDXQ( I = 1, N ) ) will be in ascending order.
     *
     *  RHO    (input) REAL
     *         The subdiagonal entry used to create the rank-1 modification.

     *
     *  CUTPNT (input) INTEGER
     *         The location of the last eigenvalue in the leading sub-matrix.
     *         min(1,N) <= CUTPNT <= N/2.
     *
     *  WORK   (workspace) REAL array, dimension (4*N + N**2)
     *
     *  IWORK  (workspace) INTEGER array, dimension (4*N)
     *
     *  INFO   (output) INTEGER
     *          = 0:  successful exit.
     *          < 0:  if INFO = -i, the i-th argument had an illegal value.
     *          > 0:  if INFO = 1, an eigenvalue did not converge
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Jeff Rutter, Computer Science Division, University of California
     *     at Berkeley, USA
     *  Modified by Francoise Tisseur, University of Tennessee.
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`SLAED1()`

Method Summary
`static void` | `SLAED1(int n, float[] d, float[][] q, int[] indxq, floatW rho, int cutpnt, float[] work, int[] iwork, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLAED1

    public SLAED1()

Method Detail

### SLAED1

    public static void SLAED1(int n,
                              float[] d,
                              float[][] q,
                              int[] indxq,
                              floatW rho,
                              int cutpnt,
                              float[] work,
                              int[] iwork,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD